Bug 1219345 - ice in extract_insn, at recog.c:2343 for alpha cross compiler
Summary: ice in extract_insn, at recog.c:2343 for alpha cross compiler
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cross-gcc
Version: 23
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: David Howells
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-07 06:44 UTC by David Binderman
Modified: 2015-12-22 07:23 UTC (History)
7 users (show)

Fixed In Version: cross-gcc-5.2.1-4.fc23 cross-gcc-5.2.1-4.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-19 18:26:25 UTC
Type: Bug


Attachments (Terms of Use)
gzipped C source code (252.85 KB, application/x-gzip)
2015-05-07 06:44 UTC, David Binderman
no flags Details
Reduced test case (1.15 KB, text/plain)
2015-05-14 08:38 UTC, David Howells
no flags Details

Description David Binderman 2015-05-07 06:44:27 UTC
Created attachment 1022956 [details]
gzipped C source code

Description of problem:

I just tried cross compiling linux kernel 4.1-rc2
on x86_64 for alpha.

$ alpha-linux-gnu-gcc -v
gcc version 5.1.1 20150422 (Red Hat Cross 5.1.1-1) (GCC) 

Error message is

drivers/scsi/lpfc/lpfc_scsi.c: In function ‘lpfc_bg_scsi_prep_dma_buf_s3’:
drivers/scsi/lpfc/lpfc_scsi.c:2860:1: error: unrecognizable insn:
 }
 ^
(insn 1807 1806 1808 31 (set (reg:DI 24 $24)
        (mem:DI (and:DI (plus:DI (mem/c:DI (plus:DI (reg/f:DI 30 $30)
                            (const_int 144 [0x90])) [0 %sfp+48 S8 A64])
                    (const_int 27 [0x1b]))
                (const_int -8 [0xfffffffffffffff8])) [0  S8 A64])) drivers/scsi/lpfc/lpfc_scsi.c:1929 -1
     (nil))
drivers/scsi/lpfc/lpfc_scsi.c:2860:1: internal compiler error: in extract_insn, at recog.c:2343
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla/> for instructions.
Preprocessed source stored into /tmp/cc9yMQFh.out file, please attach this to your bugreport.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 David Howells 2015-05-14 08:38:52 UTC
Created attachment 1025314 [details]
Reduced test case

Comment 2 David Howells 2015-05-14 08:40:21 UTC
I've raised a gcc bugzilla for it:

https://gcc.gnu.org/bugzilla/show_bug.cgi?id=66140

Comment 3 Jan Kurik 2015-07-15 14:11:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 4 Fedora Update System 2015-12-10 14:29:28 UTC
cross-gcc-5.2.1-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-800f81b3f6

Comment 5 Fedora Update System 2015-12-10 14:29:29 UTC
cross-gcc-5.2.1-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-baa411f109

Comment 6 Fedora Update System 2015-12-11 06:01:06 UTC
cross-gcc-5.2.1-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update cross-gcc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-800f81b3f6

Comment 7 Fedora Update System 2015-12-11 19:57:36 UTC
cross-gcc-5.2.1-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update cross-gcc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-baa411f109

Comment 8 Fedora Update System 2015-12-19 18:26:11 UTC
cross-gcc-5.2.1-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-12-22 07:23:36 UTC
cross-gcc-5.2.1-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.